
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C语言指针讲解 / 憋错料</title>

    <meta name="description" content="C语言指针讲解 指针是C语言的一种数据类型,类似于C中的其他类型,例如int ,char 等.既然指针是一种类型,当我们定义该类型变量,该类型变量就称为指针变量. C中有了指针就有了指向.指向:指针变量指向本身保存的内容(地址或指针)所表示的内存单元. C语言指针是一个特殊的变量,其里面储存的数值被解释成为内存里的一个地址. 在计算机中,所有对数据的操作,都是通过其地址进行的,指针让程序的效率更高,代码更少. 在学习指针的时间,一定要理解并区分指针的四个感念:指针的类型,指针所指向的类型,指针的值,指针本身所占">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">C语言指针讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>指针是C语言的一种数据类型，类&#20284;于C中的其他类型，例如int ，char 等。既然指针是一种类型，当我们定义该类型变量，该类型变量就称为指针变量。</p>
<p>C中有了指针就有了指向。指向：指针变量指向本身保存的内容（地址或指针）所表示的内存单元。</p>
<p>C语言指针是一个特殊的变量，其里面储存的数&#20540;被解释成为内存里的一个地址。</p>
<p>在计算机中，所有对数据的操作，都是通过其地址进行的，指针让程序的效率更高，代码更少。</p>
<p>在学习指针的时间，一定要理解并区分指针的四个感念：指针的类型，指针所指向的类型，指针的&#20540;，指针本身所占据的内存区。</p>
<p>指针变量定义的一般形式：类型说明符* &nbsp;变量名。&nbsp;类型说明符：表示该指针变量指向的变量的数据类型，并且该指针变量只能指向该数据类型的变量。这是指针变量的特征。</p>
<p>*：表示该变量的指针变量。这也是指针变量的特征。</p>
<p>变量名：表示指针变量的名称。</p>
<p>例如：char &nbsp;*pstu; &nbsp; &nbsp; &nbsp;*表示pstu是一个指针变量，char是指针变量pstu指向的变量的数据类型。整个语句表示定义了一个指向char类型变量的指针变量。但具体pstu指向哪个char类型的变量，这就要看在使用pstu时，给pstu赋予的&#20540;，&#20540;是什么就指向哪。</p>
<p>讲指针不得不说的两个运算符。取地址运算符&amp;和取&#20540;运算符*。通过取地址运算符&amp;可以获得某个变量的地址，用取&#20540;运算符可以获得某个地址中存放的数据。</p>
<p>指针变量使用前，先定义，给指针初始化以后，也就是赋&#20540;以后才能使用。在赋&#20540;时只能赋兼容类型的&#20540;。</p>
<p>例如：</p>
<p>#include &lt;stdlib.h&gt;</p>
<p>#include &lt;stdio.h&gt;</p>
<p>void main()</p>
<p>{</p>
<p>int name,stuName=1;</p>
<p>int *pStu;</p>
<p>int *pNew;</p>
<p>pStu = &amp;stuName;</p>
<p>pNew = pStu;</p>
<p>name = *pNew;</p>
<p>printf(&quot;%d\n%d\n%d\n%d\n\n&quot;,stuName,*pStu,name,*pNew);</p>
<p>printf(&quot;%d\n%d\n%d\n%d\n\n&quot;,&amp;stuName,&amp;pStu,&amp;name,&amp;pNew);</p>
<p>printf(&quot;%d\n%d\n&quot;,pStu,pNew);</p>
<p>}</p>
<p><img src=""></p>
<p>从打印的&#20540;完全可以理解内存中存放的是什么。</p>
<p>简单修改：</p>
<p>#include &lt;stdlib.h&gt;</p>
<p>#include &lt;stdio.h&gt;</p>
<p>void main()</p>
<p>{</p>
<p>int name,stuName=1;</p>
<p>int *pStu = NULL;</p>
<p>int *pNew = NULL;</p>
<p>pStu = &amp;stuName;</p>
<p>pNew = *(&amp;pStu);</p>
<p>name = *pNew;</p>
<p>*pStu =100;</p>
<p>printf(&quot;%d\n%d\n%d\n%d\n\n&quot;,stuName,*pStu,name,*pNew);</p>
<p>printf(&quot;%d\n%d\n%d\n%d\n\n&quot;,&amp;stuName,&amp;pStu,&amp;name,&amp;pNew);</p>
<p>printf(&quot;%d\n%d\n&quot;,pStu,pNew);</p>
<p>}</p>
<p><img src=""></p>
<p>指针与整数的加法。主要用于数组中。</p>
<p>int arr []= {1,2,3,4,5};</p>
<p>int *pNew = arr;</p>
<p>pNew&#043;&#043;;</p>
<p>pNew = pNew &#043; 2;</p>
<p>数组名就是第一个数组元素的地址。 int *pNew = &amp; arr[0];</p>
<p>pNew = pNew &#043; 7; pNew的指向已经越界，具体指向不知道，可能是已存在的地址或未知地址，在使用&#20540;是会发生未知的错误。在使用指针操作时，一定要注意是否超出了数组的大小。</p>
<p>声明一个指针。指针变量是变量。</p>
<p>数组指针：和指针变量用法基本一样。</p>
<p>指针数组：一系列指向同一数据类型的指针变量的集合，称为指针数组。指针数组的所有元素都是指针变量。它们必须具有相同的储存类型，必须指向相同的数据类型。</p>
<p>类型说明符 &nbsp;*数组名[数组长度];</p>
<p>例如：int &nbsp; *arr[5];</p>
<p>char *str[] = {&quot;Chain&quot;,&quot;Beijing&quot;,&quot;LongMai&quot;};</p>
<p><img src=""></p>
<p>—）常量指针（指向可以修改，指向对应的&#20540;不可以修改）</p>
<p>常量是形容词，指针是名词，以指针为中心的一个偏正结构短语。这样看，常量指针本质是指针，常量修饰它，表示这个指针乃是一个指向常量的指针（变量）。</p>
<p>指针指向的对象是常量，那么这个对象不能被更改。</p>
<p>在C/C&#043;&#043;中，常量指针是这样声明的：</p>
<p>1）const int *p;</p>
<p>2）int const *p;</p>
<p>常量指针的使用要注意，指针指向的对象不能通过这个指针来修改，可是仍然可以通过原来的声明修改，也就是说常量指针可以被赋&#20540;为变量的地址，之所以叫做常量指针，是限制了通过这个指针修改变量的&#20540;。</p>
<p>例如：</p>
<p>int a = 5，b=6;</p>
<p>const int *c = &amp;a; // 这是合法的，非法的是对c的使用</p>
<p>c = &amp;b; &nbsp; //合法</p>
<p>*c = 6; // 非法，但可以这样修改c指向的对象的&#20540;：a = 6;</p>
<p>const int *d = &amp;b; // b是常量，d可以指向b，d被赋&#20540;为b的地址是合法的</p>
<p>二) 指针常量（指向不可以修改，指向对应的&#20540;可以修改）</p>
<p>指针是形容词，常量是名词。这回是以常量为中心的一个偏正结构短语。那么，指针常量的本质是一个常量，而用指针修饰它，那么说明这个常量的&#20540;应该是一个指针。</p>
<p>指针常量的&#20540;是指针，这个&#20540;因为是常量，所以不能被赋&#20540;。</p>
<p>在C/C&#043;&#043;中，指针常量这样声明：</p>
<p>int a;</p>
<p>int *const b = &amp;a; //const放在指针声明操作符的右侧</p>
<p>只要const位于指针声明操作符右侧，就表明声明的对象是一个常量，且它的内容是一个指针，也就是一个地址。上面的声明可以这么读，声明了一个常量b，它的&#20540;是变量a的地址（变量a的地址，不就是指向变量a的指针吗）。</p>
<p>因为指针常量是一个常量，在声明的时候一定要给它赋初始&#20540;。一旦赋&#20540;，以后这个常量再也不能指向别的地址。</p>
<p>虽然指针常量的&#20540;不能变，可是它指向的对象是可变的，因为我们并没有限制它指向的对象是常量。</p>
<p>因此，有这么段程序：</p>
<p>char *a = &quot;abcde1234&quot;;</p>
<p>char *b = &quot;bcde&quot;;</p>
<p>char *const c = &amp;a;</p>
<p>下面的操作是可以的。</p>
<p>a[0] = ‘x‘; // 我们并没有限制a为常量指针（指向常量的指针）</p>
<p>或者</p>
<p>*c[0] = ‘x‘ // 与上面的操作一致</p>
<p>三）指向常量的指针常量（指向不可以修改，指向对应的&#20540;也不可以修改）</p>
<p>顾名思议，指向常量的指针常量就是一个常量，且它指向的对象也是一个常量。</p>
<p>因为是一个指针常量，那么它指向的对象当然是一个指针对象，而它又指向常量，说明它指向的对象不能变化。</p>
<p>在C/C&#043;&#043;中，这么声明：</p>
<p>const int a = 25;</p>
<p>const int * const b = &amp;a;</p>
<p>函数指针：函数指针是指向函数的指针变量，即本质是一个指针变量</p>
<p>数据类型（*变量名）（）；</p>
<p>int (*f) (int x); /*&nbsp;声明一个函数指针&nbsp;*/</p>
<p>　f=func; /*&nbsp;将func函数的首地址赋给指针f<br />
 */</p>
<p>指针函数：指针函数是指带指针的函数，即本质是一个函数。函数返回类型是某一类型的指针。</p>
<p>以上仅仅是指针的简单介绍。有关指针的复杂用法，以后再说。。。</p>
<p><P><A href="http://www.bubuko.com/infodetail-218105.html" rel="external nofollow noreferrer">C语言指针讲解,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 10:05:26 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/c%e8%af%ad%e8%a8%80/" title="c语言">c语言</a>, <a href="https://www.biecuoliao.com/tag/%e6%8c%87%e9%92%88/" title="指针">指针</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>C语言指针讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QgOxE0.html" rel="bookmark">c&sol;c&plus;&plus;&lpar;疑3&rpar; C语言指针与数组之间关系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				c/c++ (疑1)数组和指针 c/c++(疑2) const extern 有了前面 两篇 基础,下面我们可以更深入的来介绍c/c++(疑3) C语言指针与数组之间关系 1 概述(C语言指针与数组之间关系) 指针就是指针,指针变量在32 位系统下,永远占4 个byte,其值为某一个内存的地址.指针可以指向任何地方,但是不是任何地方你都能通过这个指针变量访问到. 数组就是数组,其大小与元素的类型和个数有关.定义数组时必须指定其元素的类型和个数.数组可以存任何类型的数据,但不能存函数. 2    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kLej3.html" rel="bookmark">C语言指针</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言指针 指针是什么? 指针也是一个变量,但是这个变量存储的是一个地址,指向一个存储单元.我们可以根据指针(地址)找到他所指的变量,并对这个变量进行操作(赋值等).通过C里面的取地址符号&amp;和取所指内容的符号*可以很方便的表示指针以及指针所指的变量之间的关系 /* ============================================================================ Name C语言指针 : text.c Author : Version : C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmGJrQ3.html" rel="bookmark">C语言--指针&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#import &lt;Foundation/Foundation.h&gt; //交换函数 void swap(int x, int y) { printf(&quot;x=%d,y=%d&quot;,x,y); int temp = 0; temp = x; x = y; y = temp; printf(&quot;x=%d,y=%d&quot;,x,y); } // void swap2(int *x , int *y) { //不改地址,改地址对应的值 printf(&quot;x=%d,y=%			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/412lqGM.html" rel="bookmark">&lbrack;转&rsqb;C 语言指针的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一章 指针的概念 指针是一个特殊的变量,它里面存储的数值被解释成为内存里的一个地址. 要搞清一个指针需要搞清指针的四方面的内容:指针的类型,指针所指向的 类型,指针的值或者叫指针所指向的内存区,还有指针本身所占据的内存区.让 我们分别说明. 先声明几个指针放着做例子: 例一: (1)int *ptr; (2)char *ptr; (3)int **ptr; (4)int (*ptr)[3]; (5)int *(*ptr)[4]; 如果看不懂后几个例子的话,请参阅我前段时间贴出的文?lt;&lt;如何			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8Al83.html" rel="bookmark">C语言指针的陷阱</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				C语言指针的陷阱   分类: C/Cpp 转自:http://blog.csdn.net/porscheyin/article/details/3461670 &quot;C语言诡异离奇,陷阱重重,却获得了巨大成功!&quot;--C语言之父Dennis M.Ritchie.Ritchie大师的这句话体现了C语言的灵活性以及广泛的使用,但也揭示了C是一种在应用时要时刻注意自己行为的语言.C的设计哲学还是那句话:使用C的程序员应该知道自己在干什么.有时用C写的程序会出一些莫名其妙的错误,看似根源难寻,但仔细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0aDLPEM.html" rel="bookmark">C语言指针占用字节</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				指针即为地址,存的是变量的地址,在同一架构下地址长度都是相同的(cpu的最大寻址内存空间),所以不同类型的指针长度都一样. 指针占用几个字节跟语言无关,而是跟系统的寻址能力有关,16为地址指针即为2个字节,32位系统是4个字节,64位系统为8个字节. 用sizeof求长度: #include&lt;stdio.h&gt; void main(void) { printf(&quot;%d %d %d\n&quot;,sizeof(int),sizeof(double),sizeof(char)); } 在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBajlv4.html" rel="bookmark">关于c语言 指针课堂随笔</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				右左法则:首先从最里面的圆括号看起,然后往右看,再往左看.每当遇到圆括号时,就应该掉转阅读方向.一旦解析完圆括号里面所有的东西,就跳出圆括号.重复这个过程直到整个声明解析完毕 1.指针的判断应该是从未定义的标识符开始阅读,而不是从括号读起,之所以是未定义的标识符,是因为一个声明里面可能有多个标识符,但未定义的标识符只会有一个 实例: int(*func)(int*p)    先从标识符func找起往右走  碰到圆括号 反转 从左走 func的指针  再往右碰到圆括号这是个函数    func是指			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDvDek3.html" rel="bookmark">c语言指针学习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 近期俄罗斯的陨石.四月的血月.五月北京的飞雪以及天朝各种血腥和混乱,给人一种不详的预感.佛祖说的末法时期,五浊恶世 ,十恶之世,人再无心法约束,道德沦丧,和现在正好吻合.尤其是在天朝,空气,水,食品,你能告诉还有没有问题的吗?不知大难至,世人依旧忙.祸福相依,危中有机.那些高级生命,出于慈悲,会救渡我们,但是你要去思考,去发现机缘. 最近较闲,没事就学点基础知识,整天在上层晃,感觉晕的厉害,接地气.关于指针我上学的时候学过一点,我的老师说&quot;指针很难呢&quot;,当时以为这老师挺谦虚的.后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0e7eR54.html" rel="bookmark">C语言指针，你还觉得难吗？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在研究式学习-c语言程序设计指针式这样介绍的: 内存中存储变量的第一个单元的地址 称为指针,存放指针的变量称为指针变量: 变量的访问方式有: 直接访问方式:按变量名查找其首地址 间接访问方式:通过指针访问 int swap(int p,int q){ int temp; temp=p; p=q; q=temp;} 现在理解了这个函数为什么要用指针了: 因为C语言中实参变量和形参变量之间的数据传递是单向的值传递方式,虽然运用指针被调函数不能改变实参指针变量的值,但可以改变实参指针变量指向的变量的值			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Q3qAX93.html" rel="bookmark" class="title">HDU 3709  数位dp</a>
					<div>
						Balanced Number Time Limit: 10000/5000 MS (Java/Others)    Memory Limit: 65535/65535 K (Java/Others) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/j35EZR3.html" rel="bookmark" class="title">Python 学习之路 （一）：基础</a>
					<div>
						数据类型和变量 整数 在Python3中,整数可以处理任意大小的整数,不分长整型和整型, 十六进制用0x开头或者H结尾表示:0x2af ,2afH 用函数 int() 来转换字符串中的数字,里面不能包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXvAb0.html" rel="bookmark" class="title">HDU 4893 Wow&excl; Such Sequence&excl; 水线段树</a>
					<div>
						思路: 线段树走起.. 写完这题就退役T^T 单点更新的时候直接找到这个点的最近fib,然后维护当前和 和 fib的和 #include&lt;stdio.h&gt; #include&lt;stri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kXyxE3.html" rel="bookmark" class="title">【转】NSDictionary以及NSMutableDictionary的用法</a>
					<div>
						原文网址:http://my.oschina.net/u/1245365/blog/177736 摘要 Foundation中的字典是由 键—值 对组成的数据集合.通过key(键),查找对应的valu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBALDv4.html" rel="bookmark" class="title">安装和配置SNMP</a>
					<div>
						1.yum安装方式 --有YUM源的话可以采用这种方式,最快 yum install -y net-snmp net-snmp-utils 2.以下是安装snmp服务需要的rpm包: libsenso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8e514.html" rel="bookmark" class="title">关于android studio的配置记录</a>
					<div>
						通过对android SDK Meneger的api及相关组件进行安装和卸载 通过对android AVD Meneger对虚拟设备进行管理如下是相关配置. 变量名:android 值:C:\Prog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kZaNbM.html" rel="bookmark" class="title">郁闷的出纳员 平衡二叉树</a>
					<div>
						这是个经典问题: 用平衡二叉树维护,只不过节点需要多储存一个siz信息,表明在平衡树上的此节点的子节点数: 平衡树稍稍拓展一下的题目,对我而言,写平衡树的代码难度才是关键: 调试了几个小时,这种题目果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwak14.html" rel="bookmark" class="title">个人项目&mdash;&mdash;买书</a>
					<div>
						用折后最低价买书 一.程序要求 书店针对&lt;哈利波特&gt;系列书籍进行促销活动,一共5卷,用编号0.1.2.3.4表示,单独一卷售价8元, 具体折扣如下所示: 本数                ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xvj7n4.html" rel="bookmark" class="title">高科影像金属照片何雯娜</a>
					<div>
						照片可以反击虚假是人们最珍贵的物品之一,高创影像金属照片,因为照片可以留住人们的青春,商丘金属照片,金生缘,留住人们的记忆.普通的照片可能会因为某些原因而破坏,金属照片克服了传统纸质照片的易褪色,易受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGpKAY0.html" rel="bookmark" class="title">树莓派学习笔记（7）：利用bypy实现树莓派NAS同步百度云</a>
					<div>
						转载请注明:@小五义http://www.cnblogs.com/xiaowuyiQQ群:64770604 树莓派制作NAS过程详见http://www.cnblogs.com/xiaowuyi/p/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBY6my4.html" rel="bookmark" class="title">mac os x Server  设置 MIME Types</a>
					<div>
						最近搞了个 os x Server 把自己mac  配个web 服务器.研究下 ios 企业级应用发布. 网上很多地方都是这个: 对于 OS X Server,将以下 MIME 类型添加到 Web 服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ek5xD4.html" rel="bookmark" class="title">JMeter 正则表达式提取器&lpar;二&rpar;</a>
					<div>
						引用名:  引用此数据-别名 正则表达式:  取值 模板: 表示使用提取到的第几个值:$-1$:表示取所有值$0$:表示随机取值$1$:表示取第1个$2$:表示取第二个以此类推:$n$:表示取第n个  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0koZ7z0.html" rel="bookmark" class="title">记香港科技大学之旅</a>
					<div>
						简介 在港科大两周的airship课程已经完结了,从去年看到同学老曹在港科大发的朋友圈,就觉得这门课程应该挺有趣的.于是便报了名,学完了网上的课程,通过了筛选,来到了港科大,期间差点因为签注延误,无法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lkp8BM.html" rel="bookmark" class="title">Gevent中的同步与异步详解</a>
					<div>
						同步,异步概念 1.同步就是发生调用时,一定等待结果返回,整个调用才结束: 2.异步就是发生调用后,立即返回,不等待结果返回.被调用者通过状态.通知来通知调用者,或通过回调函数处理这个调用. 查询 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k9j9P4.html" rel="bookmark" class="title">数据结构-线性表-顺序表</a>
					<div>
						总括: 线性表是一种最简单的数据结构,线性表的主要操作特点是可以在任意位置插入和删除一个数据元素. 线性表可以用顺序存储结构和链式存储结构存储,用顺序存储结构实现的线性表称为顺序表,用链式存储结构实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rb9zw3.html" rel="bookmark" class="title">Application与Context的关系</a>
					<div>
						在开发中Application类,几乎每个项目中都会使用到,它是优化于四大组件运行的,它是一个全局的盒子,可以这么理解,比如我们可以在application类中存放一些变量,在其他类中可以获取到,比如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38pdGW3.html" rel="bookmark" class="title">应用程序开发之模仿史上最牛游戏（四）</a>
					<div>
						一.需要一个新的控制器(ReadyViewController) -新建控制器,通过push方式到这个新控制器 -给控制器的view制定类(根据图片选择颜色) -给线起名字 1??给每一个Stage添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGdZeb0.html" rel="bookmark" class="title">&period;NetCore简介</a>
					<div>
						引用:https://docs.microsoft.com/zh-cn/dotnet/articles/core/index .NET Core 是一个通用开发平台,由 Microsoft 和 Git ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEjlKK0.html" rel="bookmark" class="title">opencv Iplimage结构简介</a>
					<div>
						IplImage 结构解读: typedef struct _IplImage{int nSize;                    /* IplImage大小 */int ID;        ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPewG60.html" rel="bookmark" class="title">服务器设计模式</a>
					<div>
						1.半同步半异步模式 简而言之,所谓的半同步半异步模式分为三个组成模块:同步处理模块,队列模块,异步处理模块.三个模块之间的交互关系如图: 几个模块的之间的交互为:异步模块接收可能会异步到来的各种事件 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
